Get Last Sensors Data Logs
curl --request POST \
--url https://apigw.bienport.com/api/panel/{resourceId}/vsensor/values \
--header 'Authorization: <authorization>' \
--header 'OrganizationId: <organizationid>'import requests
url = "https://apigw.bienport.com/api/panel/{resourceId}/vsensor/values"
headers = {
"Authorization": "<authorization>",
"OrganizationId": "<organizationid>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', OrganizationId: '<organizationid>'}
};
fetch('https://apigw.bienport.com/api/panel/{resourceId}/vsensor/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sensorId": 123,
"resourceSensorId": 123,
"sensorName": "<string>",
"description": "<string>",
"label": [
"<string>"
],
"sampledDateTime": 123,
"value": 123,
"type": "<string>"
}This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}Get Last Sensors Data Logs
POST
/
panel
/
{resourceId}
/
vsensor
/
values
Get Last Sensors Data Logs
Path Parameters
resourceId
Response
List of last sensors data logs with SuccessDataResult model.
External Power And Battery Response Api Model
Sensor ID.
PanelSensor ID.
Sensor name.
Sensor description.
Sensor unique label value list.
Date the value was retrieved. (Epoch type)
Current sensor value.
Value type
Was this page helpful?
⌘I